Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000671 [Piwigo] user comments minor always 2007.04.06 09:54 2007.04.19 12:19
Reporter chandler View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS WINDOWS
Projection none   OS Version XP
ETA none Fixed in Version 1.7.0 Product Version 1.6.2
  Target Version Product Build
Summary 0000671: Message incomplet lors de l'ajout d'un commentaire à valider par l'administrateur
Description Le problème intervient lorsque la gallerie est paramétrée pour que les commentaires soient validés par l'administrateur. En cas d'ajout d'un commentaire sur une image, l'utilisateur ne voit que le message "Votre commentaire a été enregistré" ($lang['comment_added']). Il ne sait pas que son commentaire doit être validé (affichage du texte $lang['comment_to_validate']).
Steps To Reproduce 1) Configurer la gallerie pour activer la validation des commentaires
2) Utiliser un utilisateur non admin
3) Ajouter un commentaire à une image
Additional Information J'ai regardé le code et trouvé le problème. Dans le fichier include\picture_comment.inc.php, il y a une ligne de code incompléte (un début de if) :
A partir de la ligne 92 :
      if (!$conf['comments_validation'] or is_admin())

      if ( $conf['comments_validation'] and !is_admin() )
      {
        $message.= '
'.$lang['comment_to_validate'];
      }

La suppression de la ligne 92 solutionne le problème.
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001819)
rub (developer)
2007.04.08 00:07

En 1.7, la partie commentaire a beaucoup changé et il me semble que ca fonctionne mieux.
A confirmer par quelque de l'équipe ou chandler s'il teste la 1.7.0RC2 avant de fermer la fiche.
(0001825)
plg (manager)
2007.04.19 12:19

Je confirme que le bug n'existe plus en 1.7.x et que vu la faible importance du bug, il ne sera pas corrigé pour une hypothétique 1.6.3 :-)

- Issue History
Date Modified Username Field Change
2007.04.06 09:54 chandler New Issue
2007.04.08 00:07 rub Note Added: 0001819
2007.04.19 11:44 plg Status new => feedback
2007.04.19 11:50 plg Assigned To => plg
2007.04.19 11:50 plg Status feedback => closed
2007.04.19 11:50 plg Resolution open => fixed
2007.04.19 11:52 plg Project @2@ => Piwigo
2007.04.19 11:54 plg browser => any
2007.04.19 11:54 plg Web server => Apache 1.3.x
2007.04.19 11:54 plg Category => user comments
2007.04.19 11:54 plg version => 1.6.2
2007.04.19 11:54 plg Build 1.6.2 =>
2007.04.19 11:54 plg Fixed in Version => 1.7.0RC3
2007.04.19 12:19 plg Note Added: 0001825


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker